package com.wechat.dao;

import java.util.ArrayList;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.wechat.global.base.dao.RedisGeneratorDao;
import com.wechat.model.dto.BaiDuTokenDto;

@Repository
public class InvitationCountRedisDao extends RedisGeneratorDao<String, ArrayList<String>> {
	private String tableKey = "invitation";

	public ArrayList<String> selectInvitationCount(String infoKey) {
		return selectOne(tableKey, infoKey);
	}

	public void insertInvitation(String infoKey, ArrayList<String> infoValue) {
		insert(tableKey, infoKey, infoValue);
	}

	public void updateInvitation(String infoKey, ArrayList<String> infoValue) {
		update(tableKey, infoKey, infoValue);
	}

	public void deleteInvitation(String infoKey) {
		delete(tableKey, infoKey);
	}
}
